grk::TileCache Class Reference

`#include <TileCache.h>`

## Public Member Functions

| TileCache (GRK_TILE_CACHE_STRATEGY strategy)
| TileCache (void)
virtual | ~TileCache ()
bool | empty (void)
void | setStrategy (GRK_TILE_CACHE_STRATEGY strategy)
GRK_TILE_CACHE_STRATEGY | getStrategy (void)
TileCacheEntry * | put (uint16_t tileIndex, TileProcessor *processor)
TileCacheEntry * | get (uint16_t tileIndex)
GrkImage * | getComposite (void)
std::vector< GrkImage * > | getAllImages (void)
std::vector< GrkImage * > | getTileImages (void)

## Private Attributes

GrkImage * | tileComposite
std::map< uint32_t, TileCacheEntry * > | cache_
GRK_TILE_CACHE_STRATEGY | strategy_

## Constructor & Destructor Documentation

## TileCache() [1/2]

grk::TileCache::TileCache | ( | GRK_TILE_CACHE_STRATEGY | strategy | ) |

References tileComposite.

## TileCache() [2/2]

grk::TileCache::TileCache | ( | void |  | ) |

## ~TileCache()

grk::TileCache::~TileCache | ( |  | ) |

virtual

References cache_, grk_object_unref(), grk::grk_read(), _grk_image::obj, and tileComposite.

## Member Function Documentation

## empty()

bool grk::TileCache::empty | ( | void |  | ) |

References cache_.

## get()

TileCacheEntry * grk::TileCache::get | ( | uint16_t | tileIndex | ) |

References cache_.

Referenced by grk::CodeStreamDecompress::allocateProcessor(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), and grk::CodeStreamDecompress::getImage().

## getAllImages()

std::vector< GrkImage * > grk::TileCache::getAllImages | ( | void |  | ) |

References getTileImages(), grk::grk_read(), and tileComposite.

Referenced by grk::CodeStreamDecompress::getAllImages().

## getComposite()

GrkImage * grk::TileCache::getComposite | ( | void |  | ) |

References tileComposite.

Referenced by grk::CodeStreamDecompress::getCompositeImage().

## getStrategy()

GRK_TILE_CACHE_STRATEGY grk::TileCache::getStrategy | ( | void |  | ) |

References strategy_.

Referenced by grk::CodeStreamDecompress::decompressTiles().

## getTileImages()

std::vector< GrkImage * > grk::TileCache::getTileImages | ( | void |  | ) |

References cache_, and grk::grk_read().

Referenced by getAllImages().

## put()

TileCacheEntry * grk::TileCache::put | ( | uint16_t | tileIndex,
|  | TileProcessor * | processor
| ) |  |

References cache_, grk::grk_read(), and grk::TileCacheEntry::processor.

Referenced by grk::CodeStreamDecompress::allocateProcessor().

## setStrategy()

void grk::TileCache::setStrategy | ( | GRK_TILE_CACHE_STRATEGY | strategy | ) |

References grk::grk_read(), and strategy_.

Referenced by grk::CodeStreamDecompress::init().

## Member Data Documentation

## cache_

std::map<uint32_t, TileCacheEntry*> grk::TileCache::cache_

private

Referenced by empty(), get(), getTileImages(), put(), and ~TileCache().

## strategy_

GRK_TILE_CACHE_STRATEGY grk::TileCache::strategy_

private

Referenced by getStrategy(), and setStrategy().

## tileComposite

GrkImage* grk::TileCache::tileComposite

private

Referenced by getAllImages(), getComposite(), TileCache(), and ~TileCache().

The documentation for this class was generated from the following files:

- TileCache.h
- TileCache.cpp